﻿import cmdlib
import es

# ******************** Load ********************
def load():
	cmdlib.registerServerCommand("soccer_mod_cmd_match_stats", client_match_stats, "Client command setting")
	cmdlib.registerServerCommand("soccer_mod_match_stats_save_round_end", client_match_stats_save_round_end, "Client command setting")

	cmdlib.registerServerCommand("soccer_mod_cmd_match_start", client_match_start, "Client command setting")
	cmdlib.registerServerCommand("soccer_mod_cmd_match_pause", client_match_pause, "Client command setting")
	cmdlib.registerServerCommand("soccer_mod_cmd_match_unpause", client_match_unpause, "Client command setting")
	cmdlib.registerServerCommand("soccer_mod_cmd_match_stop", client_match_stop, "Client command setting")

	cmdlib.registerServerCommand("soccer_mod_match_swap_home_away", match_swap_home_away, "Match setting")
	cmdlib.registerServerCommand("soccer_mod_match_sound_round_start", match_sound_round_start, "Match setting")
	cmdlib.registerServerCommand("soccer_mod_match_sound_round_end", match_sound_round_end, "Match setting")
	cmdlib.registerServerCommand("soccer_mod_match_sound_period_end", match_sound_period_end, "Match setting")
	cmdlib.registerServerCommand("soccer_mod_match_sound_match_end", match_sound_match_end, "Match setting")

	es.server.cmd("exec soccer_mod/modules/match.cfg")

# ******************** Commands ********************
def client_match_stats(args):
	es.set("sm_cmd_match_stats", args[0])

def client_match_stats_save_round_end(args):
	try:
		check = int(args[0])
		if check == 1:
			es.set("sm_match_stats_save_round_end", 1)
		else:
			es.set("sm_match_stats_save_round_end", 0)
	except ValueError:
		es.set("sm_match_stats_save_round_end", 0)

def client_match_start(args):
	es.set("sm_cmd_match_start", args[0])

def client_match_pause(args):
	es.set("sm_cmd_match_pause", args[0])

def client_match_unpause(args):
	es.set("sm_cmd_match_unpause", args[0])

def client_match_stop(args):
	es.set("sm_cmd_match_stop", args[0])

def match_swap_home_away(args):
	try:
		check = int(args[0])
		if check == 1:
			es.set("sm_match_swap_home_away_on", 1)
		else:
			es.set("sm_match_swap_home_away_on", 0)
	except ValueError:
		es.set("sm_match_swap_home_away_on", 0)

def match_sound_round_start(args):
	es.set("sm_match_sound_round_start", args[0])

def match_sound_round_end(args):
	es.set("sm_match_sound_round_end", args[0])

def match_sound_period_end(args):
	es.set("sm_match_sound_period_end", args[0])

def match_sound_match_end(args):
	es.set("sm_match_sound_match_end", args[0])

# ******************** Events ********************
def es_map_start(event_var):
	es.server.cmd("exec soccer_mod/modules/match.cfg")

# ******************** Unload ********************
def unload():
	cmdlib.unregisterServerCommand("soccer_mod_cmd_match_stats")
	cmdlib.unregisterServerCommand("soccer_mod_match_stats_save_round_end")

	cmdlib.unregisterServerCommand("soccer_mod_cmd_match_start")
	cmdlib.unregisterServerCommand("soccer_mod_cmd_match_pause")
	cmdlib.unregisterServerCommand("soccer_mod_cmd_match_unpause")
	cmdlib.unregisterServerCommand("soccer_mod_cmd_match_stop")

	cmdlib.unregisterServerCommand("soccer_mod_match_swap_home_away")
	cmdlib.unregisterServerCommand("soccer_mod_match_sound_round_start")
	cmdlib.unregisterServerCommand("soccer_mod_match_sound_round_end")
	cmdlib.unregisterServerCommand("soccer_mod_match_sound_period_end")
	cmdlib.unregisterServerCommand("soccer_mod_match_sound_match_end")