﻿import cmdlib
import es

# ******************** Load ********************
def load():
	cmdlib.registerServerCommand("soccer_mod_referee_warning_1", referee_warning_1, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_warning_2", referee_warning_2, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_warning_3", referee_warning_3, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_warning_4", referee_warning_4, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_warning_5", referee_warning_5, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_warning_6", referee_warning_6, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_warning_7", referee_warning_7, "Referee setting")

	cmdlib.registerServerCommand("soccer_mod_referee_sound_whistle", referee_sound_whistle, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_red_card", referee_sound_red_card, "Referee setting")

	cmdlib.registerServerCommand("soccer_mod_referee_sound_fireworks", referee_sound_fireworks, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_give_dope", referee_sound_give_dope, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_out_breath", referee_sound_out_breath, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_lightning", referee_sound_lightning, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_cheer_leader_1", referee_sound_cheer_leader_1, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_cheer_leader_2", referee_sound_cheer_leader_2, "Referee setting")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_cheer_leader_3", referee_sound_cheer_leader_3, "Referee setting")

	es.server.cmd("exec soccer_mod/modules/referee.cfg")

# ******************** Commands ********************
def referee_warning_1(args):
	es.set("sm_referee_warning_1", args[0])

def referee_warning_2(args):
	es.set("sm_referee_warning_2", args[0])

def referee_warning_3(args):
	es.set("sm_referee_warning_3", args[0])

def referee_warning_4(args):
	es.set("sm_referee_warning_4", args[0])

def referee_warning_5(args):
	es.set("sm_referee_warning_5", args[0])

def referee_warning_6(args):
	es.set("sm_referee_warning_6", args[0])

def referee_warning_7(args):
	es.set("sm_referee_warning_7", args[0])

def referee_sound_whistle(args):
	es.set("sm_referee_sound_whistle", args[0])

def referee_sound_red_card(args):
	es.set("sm_referee_sound_red_card", args[0])

def referee_sound_fireworks(args):
	es.set("sm_referee_sound_fireworks", args[0])

def referee_sound_give_dope(args):
	es.set("sm_referee_sound_give_dope", args[0])

def referee_sound_out_breath(args):
	es.set("sm_referee_sound_out_breath", args[0])

def referee_sound_lightning(args):
	es.set("sm_referee_sound_lightning", args[0])

def referee_sound_cheer_leader_1(args):
	es.set("sm_referee_sound_cheer_leader_1", args[0])

def referee_sound_cheer_leader_2(args):
	es.set("sm_referee_sound_cheer_leader_2", args[0])

def referee_sound_cheer_leader_3(args):
	es.set("sm_referee_sound_cheer_leader_3", args[0])

# ******************** Events ********************
def es_map_start(event_var):
	es.server.cmd("exec soccer_mod/modules/referee.cfg")

# ******************** Unload ********************
def unload():
	cmdlib.unregisterServerCommand("soccer_mod_referee_warning_1")
	cmdlib.unregisterServerCommand("soccer_mod_referee_warning_2")
	cmdlib.unregisterServerCommand("soccer_mod_referee_warning_3")
	cmdlib.unregisterServerCommand("soccer_mod_referee_warning_4")
	cmdlib.unregisterServerCommand("soccer_mod_referee_warning_5")
	cmdlib.unregisterServerCommand("soccer_mod_referee_warning_6")
	cmdlib.unregisterServerCommand("soccer_mod_referee_warning_7")

	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_whistle")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_red_card")

	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_fireworks")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_give_dope")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_out_breath")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_lightning")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_cheer_leader_1")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_cheer_leader_2")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_cheer_leader_3")