import es
import os

def es_map_start(event_var):
	check = es.ServerVar("sm_downloads_auto_on")
	if check == 1:
		global f
		f = open("cstrike/cfg/soccer_mod/downloads.cfg", "r+w")

		sounds = []

		sounds.append("sm_vote_sound_start")

		check = es.ServerVar("sm_module_match_on")
		if check == 1:
			sounds.append("sm_match_sound_round_start")
			sounds.append("sm_match_sound_round_end")
			sounds.append("sm_match_sound_period_end")
			sounds.append("sm_match_sound_match_end")

		check = es.ServerVar("sm_module_referee_on")
		if check == 1:
			sounds.append("sm_referee_sound_whistle")
			sounds.append("sm_referee_sound_red_card")

			check = es.ServerVar("sm_module_referee_punish_on")
			if check == 1:
				sounds.append("sm_referee_sound_fireworks")
				sounds.append("sm_referee_sound_give_dope")
				sounds.append("sm_referee_sound_out_breath")
				sounds.append("sm_referee_sound_lightning")
				sounds.append("sm_referee_sound_cheer_leader_1")
				sounds.append("sm_referee_sound_cheer_leader_2")
				sounds.append("sm_referee_sound_cheer_leader_3")

		check = es.ServerVar("sm_module_shout_on")
		if check == 1:
			sounds.append("sm_shout_sound_foul")
			sounds.append("sm_shout_sound_goal")
			sounds.append("sm_shout_sound_ole")
			sounds.append("sm_shout_sound_pass")
			sounds.append("sm_shout_sound_save")
			sounds.append("sm_shout_sound_shot")

		add_sounds(sounds)

		check = es.ServerVar("sm_module_player_on")
		if check == 1:
			value = str(es.ServerVar("sm_player_model_t"))
			add_model(value)
			value = str(es.ServerVar("sm_player_model_ct"))
			add_model(value)
			value = str(es.ServerVar("sm_player_model_t_gk"))
			add_model(value)
			value = str(es.ServerVar("sm_player_model_ct_gk"))
			add_model(value)

		check = es.ServerVar("sm_module_training_on")
		if check == 1:
			value = "models/" + str(es.ServerVar("sm_training_model_ball"))
			add_model(value)

		f.close()

	check = es.ServerVar("soccer_mod_allowed")
	if check == 1:
		check = es.ServerVar("sm_downloads_on")
		if check == 1:
			es.server.cmd("exec soccer_mod/downloads.cfg")

def add_sounds(sounds):
	for sound in sounds:
		file = es.ServerVar(sound)
		cmd = 'downloadable "sound/%s"\n' % (file)
		global f
		f.write(str(cmd))

def add_model(value):
	words = value.split("/")
	length = len(words) - 1

	dir = ""
	for i in range(0, length):
		dir += words[i] + "/"

	add_dir("materials/" + dir)
	add_dir(dir)

def add_dir(dir):
	path = "cstrike/%s" % (dir)
	list = os.listdir(path)
	for item in list:
		type = item.split(".")
		length = len(type) - 1
		if type[length] != "ztmp" and type[length] != "bz2":
			cmd = 'downloadable "%s%s"\n' % (dir, item)
			global f
			f.write(str(cmd))