﻿import es
import popuplib

# ******************** Load ********************
def load():
	create_popup()

# ******************** Create popup ********************
def create_popup():
	popup = popuplib.create("sm_popup_info_commands")
	popup.addline("SOCCER MOD COMMANDS")
	popup.addline(" ")

	value = es.ServerVar("sm_cmd_info")
	line = "- %s - Opens the information menu" % (value)
	popup.addline(line)

	value = es.ServerVar("sm_cmd_admin")
	line = "- %s - Opens the admin menu" % (value)
	popup.addline(line)

	value = es.ServerVar("sm_cmd_vote")
	line = "- %s - Opens the vote menu" % (value)
	popup.addline(line)

	check = es.ServerVar("sm_module_player_on")
	if check == 1:
		value = es.ServerVar("sm_cmd_cap_pick")
		line = "- %s - Opens the cap pick menu" % (value)
		popup.addline(line)

	check = es.ServerVar("sm_module_match_on")
	if check == 1:
		value = es.ServerVar("sm_cmd_match_start")
		line = "- %s - Start a match" % (value)
		popup.addline(line)

		value = es.ServerVar("sm_cmd_match_pause")
		line = "- %s - Pause a match" % (value)
		popup.addline(line)

		value = es.ServerVar("sm_cmd_match_unpause")
		line = "- %s - Unpause a match" % (value)
		popup.addline(line)

		value = es.ServerVar("sm_cmd_match_stop")
		line = "- %s - Stop a match" % (value)
		popup.addline(line)

		check = es.ServerVar("sm_module_match_stats_on")
		if check == 1:
			value = es.ServerVar("sm_cmd_match_stats")
			line = "- %s - Opens the stats menu" % (value)
			popup.addline(line)

	check = es.ServerVar("sm_module_player_on")
	if check == 1:
		value = es.ServerVar("sm_cmd_player_gk")
		line = "- %s - Enables or disables the goalkeeper skin" % (value)
		popup.addline(line)

	check = es.ServerVar("sm_module_shout_on")
	if check == 1:
		value = es.ServerVar("sm_cmd_shout")
		line = "- %s - Opens the shout commands menu" % (value)
		popup.addline(line)

	check = es.ServerVar("sm_module_sprint_on")
	if check == 1:
		value = es.ServerVar("sm_cmd_sprint")
		line = "- %s - Use sprint" % (value)
		popup.addline(line)

	popup.addline(" ")
	popup.addline("->9. Back")
	popup.addline(" ")
	popup.addline("0. Close")
	popup.submenu(1, "sm_popup_info_commands")
	popup.submenu(2, "sm_popup_info_commands")
	popup.submenu(3, "sm_popup_info_commands")
	popup.submenu(4, "sm_popup_info_commands")
	popup.submenu(5, "sm_popup_info_commands")
	popup.submenu(6, "sm_popup_info_commands")
	popup.submenu(7, "sm_popup_info_commands")
	popup.submenu(8, "sm_popup_info_commands")
	popup.submenu(9, "sm_popup_info")

# ******************** Unload ********************
def unload():
	popuplib.delete("sm_popup_info_commands")