﻿import es
import popuplib

# ******************** Load ********************
def load():
	create_popup()

# ******************** Events ********************
def es_map_start(event_var):
	popuplib.delete("sm_popup_info_server")
	create_popup()

# ******************** Create popup ********************
def create_popup():
	popup = popuplib.create("sm_popup_info_server")
	popup.addline("SERVER INFO")
	popup.addline(" ")

	value = es.ServerVar("hostname")
	line = "Server name: %s" % (value)
	popup.addline(line)

	ip = es.ServerVar("ip")
	port = es.ServerVar("hostport")
	line = "Server IP: %s:%s" % (ip, port)
	popup.addline(line)

	value = es.getmaxplayercount()
	line = "Number of slots: %s" % (value)
	popup.addline(line)

	tv = int(es.ServerVar("tv_enable"))
	if tv == 1:
		popup.addline(" ")

		value = es.ServerVar("tv_name")
		line = "Source TV name: %s" % (value)
		popup.addline(line)

		tv_port = es.ServerVar("tv_port")
		line = "Source TV IP: %s:%s" % (ip, tv_port)
		popup.addline(line)
	
		value = es.ServerVar("tv_maxclients")
		line = "Source TV slots: %s" % (value)
		popup.addline(line)

	popup.addline(" ")
	popup.addline("->1. Display in chat")
	popup.addline(" ")
	popup.addline("->9. Back")
	popup.addline(" ")
	popup.addline("0. Close")
	popup.select(1, server_info_to_chat)
	popup.submenu(2, "sm_popup_info_server")
	popup.submenu(3, "sm_popup_info_server")
	popup.submenu(4, "sm_popup_info_server")
	popup.submenu(5, "sm_popup_info_server")
	popup.submenu(6, "sm_popup_info_server")
	popup.submenu(7, "sm_popup_info_server")
	popup.submenu(8, "sm_popup_info_server")
	popup.submenu(9, "sm_popup_info")

# ******************** Popup choices ********************
def server_info_to_chat(userid, choice, popupid):
	value = es.ServerVar("hostname")
	line = "Server name: %s" % (value)
	es.tell(userid, "#green", line)

	ip = es.ServerVar("ip")
	port = es.ServerVar("hostport")
	line = "Server IP: %s:%s" % (ip, port)
	es.tell(userid, "#green", line)

	tv = int(es.ServerVar("tv_enable"))
	if tv == 1:
		value = es.ServerVar("tv_name")
		line = "Source TV name: %s" % (value)
		es.tell(userid, "#green", line)

		tv_port = es.ServerVar("tv_port")
		line = "Source TV IP: %s:%s" % (ip, tv_port)
		es.tell(userid, "#green", line)

	popuplib.send("sm_popup_info_server", userid)

# ******************** Unload ********************
def unload():
	popuplib.delete("sm_popup_info_server")