﻿import cmdlib
import es

# ******************** Load ********************
def load():
	cmdlib.registerServerCommand("soccer_mod_cmd_player_gk", client_player_gk, "Client command setting")

	cmdlib.registerServerCommand("soccer_mod_player_model_t", player_model_t, "Player setting")
	cmdlib.registerServerCommand("soccer_mod_player_model_ct", player_model_ct, "Player setting")
	cmdlib.registerServerCommand("soccer_mod_player_model_t_gk", player_model_t_gk, "Player setting")
	cmdlib.registerServerCommand("soccer_mod_player_model_ct_gk", player_model_ct_gk, "Player setting")

	es.server.cmd("exec soccer_mod/modules/player.cfg")

# ******************** Commands ********************
def client_player_gk(args):
	es.set("sm_cmd_player_gk", args[0])

def player_model_t(args):
	es.set("sm_player_model_t", args[0])

def player_model_ct(args):
	es.set("sm_player_model_ct", args[0])

def player_model_t_gk(args):
	es.set("sm_player_model_t_gk", args[0])

def player_model_ct_gk(args):
	es.set("sm_player_model_ct_gk", args[0])

# ******************** Events ********************
def es_map_start(event_var):
	es.server.cmd("exec soccer_mod/modules/player.cfg")

# ******************** Unload ********************
def unload():
	cmdlib.unregisterServerCommand("soccer_mod_cmd_player_gk")

	cmdlib.unregisterServerCommand("soccer_mod_player_model_t")
	cmdlib.unregisterServerCommand("soccer_mod_player_model_ct")
	cmdlib.unregisterServerCommand("soccer_mod_player_model_t_gk")
	cmdlib.unregisterServerCommand("soccer_mod_player_model_ct_gk")