﻿import cmdlib
import es

# ******************** Load ********************
def load():
	cmdlib.registerServerCommand("soccer_mod_cmd_shout", client_shout, "Client command setting")

	cmdlib.registerServerCommand("soccer_mod_shout_delay", shout_delay, "Shout setting")
	cmdlib.registerServerCommand("soccer_mod_shout_sound_foul", shout_sound_foul, "Shout setting")
	cmdlib.registerServerCommand("soccer_mod_shout_sound_goal", shout_sound_goal, "Shout setting")
	cmdlib.registerServerCommand("soccer_mod_shout_sound_ole", shout_sound_ole, "Shout setting")
	cmdlib.registerServerCommand("soccer_mod_shout_sound_pass", shout_sound_pass, "Shout setting")
	cmdlib.registerServerCommand("soccer_mod_shout_sound_save", shout_sound_save, "Shout setting")
	cmdlib.registerServerCommand("soccer_mod_shout_sound_shot", shout_sound_shot, "Shout setting")

	es.server.cmd("exec soccer_mod/modules/shout.cfg")

# ******************** Commands ********************
def client_shout(args):
	es.set("sm_cmd_shout", args[0])

def shout_delay(args):
	try:
		check = int(args[0])
		es.set("sm_shout_delay", check)
	except ValueError:
		es.set("sm_shout_delay", 3)

def shout_sound_foul(args):
	es.set("sm_shout_sound_foul", args[0])

def shout_sound_goal(args):
	es.set("sm_shout_sound_goal", args[0])

def shout_sound_ole(args):
	es.set("sm_shout_sound_ole", args[0])

def shout_sound_pass(args):
	es.set("sm_shout_sound_pass", args[0])

def shout_sound_save(args):
	es.set("sm_shout_sound_save", args[0])

def shout_sound_shot(args):
	es.set("sm_shout_sound_shot", args[0])

# ******************** Events ********************
def es_map_start(event_var):
	es.server.cmd("exec soccer_mod/modules/shout.cfg")

# ******************** Unload ********************
def unload():
	cmdlib.unregisterServerCommand("soccer_mod_cmd_shout")

	cmdlib.unregisterServerCommand("soccer_mod_shout_delay")
	cmdlib.unregisterServerCommand("soccer_mod_shout_sound_foul")
	cmdlib.unregisterServerCommand("soccer_mod_shout_sound_goal")
	cmdlib.unregisterServerCommand("soccer_mod_shout_sound_ole")
	cmdlib.unregisterServerCommand("soccer_mod_shout_sound_pass")
	cmdlib.unregisterServerCommand("soccer_mod_shout_sound_save")
	cmdlib.unregisterServerCommand("soccer_mod_shout_sound_shot")